<!-- Extending the base template including the header -->
{% extends "base.html" %}
<!-- Content for the Page -->
{% block content %}
    <div class="register">
        <div class="register__background" />
        <div class="register__content">
            <a class="register__header" href="/">
                <img src="{{ url_for('static', filename='images/logo/color.svg') }}"
                     alt="Tor Logo"
                     class="register__header__logo"
                     height="33"
                     width="53" />
                <div class="register__header__separator"></div>
                <span class="register__header__text">Weather</span>
            </a>
            <div class="register__content__container">
                <div class="register__title">Create an Account</div>
                <div class="register__subtitle">Enter your details to create your account.</div>
                <form class="register__form" action="/api/register" method="post">
                    <div class="register__form__input email">
                        <label class="register__form__input__label" for="email">Email ID</label>
                        <input class="register__form__input__element"
                               name="email"
                               type="email"
                               placeholder="Email ID"
                               required />
                    </div>
                    <div class="register__form__input password">
                        <label class="register__form__input__label" for="password">Password</label>
                        <input class="register__form__input__element"
                               name="password"
                               type="password"
                               placeholder="Password"
                               required />
                    </div>
                    <input type="submit" value="Register" class="register__form__submit" />
                    <div class="register__signup">
                        <span class="register__signup__content">Already have an account?</span>
                        <a class="register__signup__link" href="/login">Sign in</a>
                    </div>
                </form>
            </div>
        </div>
    </div>
{% endblock content %}
